twitter4j

## Interface TwitterResponse

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  AccountSettings, AccountTotals, DirectMessage, DirectMessageList, IDs, OEmbed, PagableResponseList<T>, Place, QueryResult, Relationship, ResponseList<T>, SavedSearch, Status, Trends, TwitterAPIConfiguration, User, UserList

All Known Implementing Classes:
  OEmbedJSONImpl, TwitterException

    public interface TwitterResponse
    extends Serializable

Super interface of Twitter Response data interfaces which indicates that rate limit status is available.

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  `DirectMessage`, `Status`, `User`

### Field Summary

Fields
`static int` `NONE`
`static int` `READ`
`static int` `READ_WRITE`
`static int` `READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getAccessLevel()`
`RateLimitStatus` `getRateLimitStatus()` Returns the current rate limit status if available.

### Field Detail

#### NONE

    static final int NONE

See Also:
  Constant Field Values

#### READ

    static final int READ

See Also:
  Constant Field Values

#### READ_WRITE

    static final int READ_WRITE

See Also:
  Constant Field Values

#### READ_WRITE_DIRECTMESSAGES

    static final int READ_WRITE_DIRECTMESSAGES

See Also:
  Constant Field Values

### Method Detail

#### getRateLimitStatus

    RateLimitStatus getRateLimitStatus()

Returns the current rate limit status if available.

Returns:
  current rate limit status
Since:
  Twitter4J 2.1.0

#### getAccessLevel

    int getAccessLevel()

Returns:
  application permission model
Since:
  Twitter4J 2.2.3
See Also:
  Application Permission Model FAQ - How do we know what the access level of a user token is?